summaryrefslogtreecommitdiff
path: root/app-emacs/rust-mode/rust-mode-9999.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'app-emacs/rust-mode/rust-mode-9999.ebuild')
-rw-r--r--app-emacs/rust-mode/rust-mode-9999.ebuild18
1 files changed, 18 insertions, 0 deletions
diff --git a/app-emacs/rust-mode/rust-mode-9999.ebuild b/app-emacs/rust-mode/rust-mode-9999.ebuild
new file mode 100644
index 0000000..cd7ad26
--- /dev/null
+++ b/app-emacs/rust-mode/rust-mode-9999.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp verify-sig git-r3
+
+DESCRIPTION="A major emacs mode for editing Rust source code"
+HOMEPAGE="https://github.com/rust-lang/rust-mode/"
+EGIT_REPO_URI="https://jturnerusa.dev/cgit/rust-mode"
+
+VERIFY_SIG_KEY_PATHS=(/usr/share/ssh-keys/jturnerusa.asc)
+
+LICENSE="|| ( MIT Apache-2.0 )"
+SLOT="0"
+
+DOCS=( README.md )
+SITEFILE="50${PN}-gentoo.el"